; AutoIt Version: 3.3.0
; Language:       English
; Platform:       Win9x/NT
; Author:         yanni

#NoTrayIcon
#Include <string.au3>
#include <Misc.au3>
#include <GUIConstants.au3>
#include <GUIConstantsEx.au3>
#include <GUIComboBox.au3>
#include <WindowsConstants.au3>
#include <StaticConstants.au3>
#include <ButtonConstants.au3>
#Include <file.au3>


if _Singleton("autofillgui",0) = 0 Then
exit
endif

if $cmdline[0]=0 then
exit
endif

$ES_PASSWORD = 0x0020

$autofilljs1=($cmdline[1] & "\autofilljs.js")
$autofillpend=(@scriptdir & "\autofilljs.js")
$pwaff=($cmdline[1] & "\affp.dll")


if fileexists($autofilljs1) then
checkpw()
else
FileCopy($autofillpend, $autofilljs1 , 1)
checkpw()
endif

func checkpw()
if fileexists($pwaff) then
processpw()
else
passprompt()
endif
endfunc

func processpw()
$getpw=IniRead( $pwaff, "pw", "1", "" )
if $getpw=("nopass") then
autofillman()
else
passvalidate()
endif
endfunc


func passprompt()
$passask=MsgBox(32+4, "K-Meleon Forms Autofiller", "This is your first run of AFF, would you like to set a password?")
If $passask=7 Then
_FileCreate($pwaff)
sleep(222)
IniWrite($pwaff, "pw", "1", "nopass" )
autofillman()
Else
makenewpass()
endif
endfunc

func makenewpass()
_FileCreate($pwaff)
IniWrite($pwaff, "pw", "1", "nopass" )
$newpass=GUICreate("Autofiller password manager",240,150, -1 , -1, $WS_POPUPWINDOW, $WS_EX_DLGMODALFRAME)
$dialabel1 = GUICtrlCreateLabel("Autofiller password manager", 10,5, 260, 15)
$dialabel2 = GUICtrlCreateLabel("new password:", 10,28, 80, 15)
$dialabel3 = GUICtrlCreateLabel("   confirmation:", 10,50, 80, 15)
$infotip = GUICtrlCreateLabel("the password must be at least 6 characters and not contain spaces", 10,80, 100, 85)
$newpass=GUICtrlCreateInput("", 90, 25, 140, 17,$ES_PASSWORD, $WS_EX_STATICEDGE)
$confirmpass=GUICtrlCreateInput("", 90, 48, 140, 17,$ES_PASSWORD, $WS_EX_STATICEDGE)
$setpass = GUICtrlCreateButton("set password",120,95,110, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
$cancbutton = GUICtrlCreateButton("cancel",120,120,110, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
GUISetState()
winsetontop("Autofiller password manager", "", 1)
While 1
$msg = GUIGetMsg()
select
Case $msg = $setpass
$getnewpw=GUICtrlRead($newpass)
$comparepw=GUICtrlRead($confirmpass)
if StringIsSpace($getnewpw)=1 or StringLen($getnewpw)<6 then
GUICtrlSetData ( $infotip, "the password you have entered is invalid")
else
if $getnewpw<>$comparepw then
GUICtrlSetData ( $infotip, "your confirmation does not match the password")
else
GUICtrlSetData ( $infotip, "bravo! your new password has been saved")
IniWrite($pwaff, "pw", "1", $getnewpw)
sleep(1888)
guidelete()
sleep(88)
autofillman()
endif
endif
Case $msg = $cancbutton
IniWrite($pwaff, "pw", "1", "nopass")
guidelete()
sleep(88)
autofillman()
Case $msg = $GUI_EVENT_CLOSE
IniWrite($pwaff, "pw", "1", "nopass")
guidelete()
sleep(88)
autofillman()
endselect
WEnd
endfunc


func passvalidate()
$getpw=IniRead( $pwaff, "pw", "1", "" )
$passvv=GUICreate("Autofiller password validator",240,110, -1 , -1, $WS_POPUPWINDOW, $WS_EX_DLGMODALFRAME)
$dialabel1 = GUICtrlCreateLabel("Autofiller password validator", 10,5, 260, 15)
$dialabel2 = GUICtrlCreateLabel("enter password:", 10,28, 80, 15)
$infotip = GUICtrlCreateLabel("enter your password to proceed to autofill manager", 10,50, 100, 85)
$passinput=GUICtrlCreateInput("", 90, 25, 140, 17,$ES_PASSWORD, $WS_EX_STATICEDGE)
$continue = GUICtrlCreateButton("ok",120,55,110, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
$cancbutton = GUICtrlCreateButton("cancel",120,80,110, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
GUISetState()
winsetontop("Autofiller password validator", "", 1)
While 1
$msg = GUIGetMsg()
select
Case $msg = $continue
$validatepw=GUICtrlRead($passinput)
if $validatepw<>$getpw then
GUICtrlSetData ( $infotip, "your password is invalid.. terminating!")
sleep(1488)
guidelete($passvv)
exitloop
else
GUICtrlSetData ( $infotip, "your password has been verified")
sleep(1444)
guidelete($passvv)
autofillman()
endif
Case $msg = $cancbutton
guidelete($passvv)
ExitLoop
exit
Case $msg = $GUI_EVENT_CLOSE
guidelete($passvv)
ExitLoop
exit
endselect
WEnd
endfunc


func autofillman()
$titlepend1=FileReadLine ($autofilljs1 ,8)
$titlepend2=stringreplace($titlepend1, "{inp.value = '", "")
$title=stringreplace($titlepend2, "';}", "")


$firstnamepend1=FileReadLine ($autofilljs1 ,14)
$firstnamepend2=stringreplace($firstnamepend1, "{inp.value = '", "")
$firstname=stringreplace($firstnamepend2, "';}", "")

$surnamepend1=FileReadLine ($autofilljs1 ,20)
$surnamepend2=stringreplace($surnamepend1, "{inp.value = '", "")
$surname=stringreplace($surnamepend2, "';}", "")


;$fullname=FileReadLine ($autofilljs1 ,3)


$usernamepend1=FileReadLine ($autofilljs1 ,266)
$usernamepend2=stringreplace($usernamepend1, "{inp.value = '", "")
$username=stringreplace($usernamepend2, "';}", "")

$emailpend1=FileReadLine ($autofilljs1 ,48)
$emailpend2=stringreplace($emailpend1, "{inp.value = '", "")
$email=stringreplace($emailpend2, "';}", "")

$passwordpend1=FileReadLine ($autofilljs1 ,58)
$passwordpend2=stringreplace($passwordpend1, "{inp.value = '", "")
$password=stringreplace($passwordpend2, "';}", "")

$addresspend1=FileReadLine ($autofilljs1 ,68)
$addresspend2=stringreplace($addresspend1, "{inp.value = '", "")
$address=stringreplace($addresspend2, "';}", "")

$statepend1=FileReadLine ($autofilljs1 ,100)
$statepend2=stringreplace($statepend1, "{inp.value = '", "")
$state=stringreplace($statepend2, "';}", "")

$citypend1=FileReadLine ($autofilljs1 ,88)
$citypend2=stringreplace($citypend1, "{inp.value = '", "")
$city=stringreplace($citypend2, "';}", "")

$countrypend1=FileReadLine ($autofilljs1 ,118)
$countrypend2=stringreplace($countrypend1, "{inp.value = '", "")
$country=stringreplace($countrypend2, "';}", "")

$pcodepend1=FileReadLine ($autofilljs1 ,124)
$pcodepend2=stringreplace($pcodepend1, "{inp.value = '", "")
$pcode=stringreplace($pcodepend2, "';}", "")



$telephonepend1=FileReadLine ($autofilljs1 ,136)
$telephonepend2=stringreplace($telephonepend1, "{inp.value = '", "")
$telephone=stringreplace($telephonepend2, "';}", "")

$mobilepend1=FileReadLine ($autofilljs1 ,142)
$mobilepend2=stringreplace($mobilepend1, "{inp.value = '", "")
$mobile=stringreplace($mobilepend2, "';}", "")

$faxpend1=FileReadLine ($autofilljs1 ,160)
$faxpend2=stringreplace($faxpend1, "{inp.value = '", "")
$fax=stringreplace($faxpend2, "';}", "")

$workphonepend1=FileReadLine ($autofilljs1 ,154)
$workphonepend2=stringreplace($workphonepend1, "{inp.value = '", "")
$workphone=stringreplace($workphonepend2, "';}", "")

$professionpend1=FileReadLine ($autofilljs1 ,178)
$professionpend2=stringreplace($professionpend1, "{inp.value = '", "")
$profession=stringreplace($professionpend2, "';}", "")

$companypend1=FileReadLine ($autofilljs1 ,190)
$companypend2=stringreplace($companypend1, "{inp.value = '", "")
$company=stringreplace($companypend2, "';}", "")

$creditpend1=FileReadLine ($autofilljs1 ,202)
$creditpend2=stringreplace($creditpend1, "{inp.value = '", "")
$credit=stringreplace($creditpend2, "';}", "")

$pinpend1=FileReadLine ($autofilljs1 ,214)
$pinpend2=stringreplace($pinpend1, "{inp.value = '", "")
$pin=stringreplace($pinpend2, "';}", "")

$baccountpend1=FileReadLine ($autofilljs1 ,246)
$baccountpend2=stringreplace($baccountpend1, "{inp.value = '", "")
$baccount=stringreplace($baccountpend2, "';}", "")

$paypalpend1=FileReadLine ($autofilljs1 ,252)
$paypalpend2=stringreplace($paypalpend1, "{inp.value = '", "")
$paypal=stringreplace($paypalpend2, "';}", "")
$hGUI = GUICreate("AutoFill Manager",375,395)

;$helper= GUICtrlCreateLabel("enter data in the inputboxes:", 10, 2, 150, 15)
$titlel= GUICtrlCreateLabel("title", 10, 5, 15, 15)
$firstnamel = GUICtrlCreateLabel("first name",55,5, 80, 15)
$surnamel = GUICtrlCreateLabel("surname", 130, 5, 40, 15)
;$fullnamel= GUICtrlCreateLabel("fullname", 10, 120, 40, 15)
$usernamel = GUICtrlCreateLabel("username", 10, 45, 46, 15)
$emaill= GUICtrlCreateLabel("email", 130, 45, 140, 15)
$passwordl = GUICtrlCreateLabel("password", 255, 45, 70, 15)
$addressl= GUICtrlCreateLabel("address", 10, 85, 40, 15)
$cityl= GUICtrlCreateLabel("city", 10, 125, 60, 15)
$statel= GUICtrlCreateLabel("state/province", 130, 125,100, 15)
$countryl = GUICtrlCreateLabel("country", 255, 125, 60, 15)
$pcodel = GUICtrlCreateLabel("postalcode/zip", 255, 85, 100, 15)
$telephonel = GUICtrlCreateLabel("telephone(home)", 10, 165, 100, 15)
$mobilel = GUICtrlCreateLabel("mobile phone", 130, 165, 100, 15)
$faxl = GUICtrlCreateLabel("fax no.", 255, 165, 100, 15)
$workphonel = GUICtrlCreateLabel("telephone(office)", 255, 205, 100, 15)
$professionl = GUICtrlCreateLabel("profession", 10, 205, 100, 15)
$companyl = GUICtrlCreateLabel("company", 130, 205, 100, 15)
$creditcardl = GUICtrlCreateLabel("credit card no.", 10, 250, 100, 15)
$pincodel = GUICtrlCreateLabel("pin/security code", 255, 250, 140, 15)
$bankaccl = GUICtrlCreateLabel("bank account no.", 10, 290, 100, 15)
$paypall = GUICtrlCreateLabel("paypal account no.", 255, 290, 140, 15)

$titlei=GUICtrlCreateInput($title, 10, 20, 35, 17, -1, $WS_EX_STATICEDGE)
$firstnamei=GUICtrlCreateInput($firstname, 55, 20,65, 17, -1, $WS_EX_STATICEDGE)
$surnamei=GUICtrlCreateInput($surname, 130, 20, 115, 17, -1, $WS_EX_STATICEDGE)
;$fullnamei=GUICtrlCreateInput($fullname, 44, 100, 265, 17, -1, $WS_EX_STATICEDGE)
$usernamei=GUICtrlCreateInput($username,10, 60, 110, 17, -1, $WS_EX_STATICEDGE)
$emaili=GUICtrlCreateInput($email, 130, 60, 115, 17, -1, $WS_EX_STATICEDGE)
$passwordi=GUICtrlCreateInput($password, 255, 60, 110, 17,$ES_PASSWORD, $WS_EX_STATICEDGE)
$addressi=GUICtrlCreateInput($address, 10, 100, 235, 17, -1, $WS_EX_STATICEDGE)
$cityi=GUICtrlCreateInput($city, 10, 140, 110, 17, -1, $WS_EX_STATICEDGE)
$statei=GUICtrlCreateInput($state, 130, 140, 115, 17, -1, $WS_EX_STATICEDGE)
$countryi=GUICtrlCreateInput($country, 255, 140, 110, 17, -1, $WS_EX_STATICEDGE)
$pcodei=GUICtrlCreateInput($pcode, 255, 100, 110, 17, -1, $WS_EX_STATICEDGE)
$telephonei=GUICtrlCreateInput($telephone,10, 180, 110, 17, -1, $WS_EX_STATICEDGE)
$mobilei=GUICtrlCreateInput($mobile,130, 180, 115, 17, -1, $WS_EX_STATICEDGE)
$faxi=GUICtrlCreateInput($fax,255, 180, 110, 17, -1, $WS_EX_STATICEDGE)
$workphonei=GUICtrlCreateInput($workphone,255, 220, 110, 17, -1, $WS_EX_STATICEDGE)
$professioni=GUICtrlCreateInput($profession,10, 220, 110, 17, -1, $WS_EX_STATICEDGE)
$companyi=GUICtrlCreateInput($company,130, 220, 115, 17, -1, $WS_EX_STATICEDGE)
$creditcardi=GUICtrlCreateInput($credit,10, 265, 235, 17, -1, $WS_EX_STATICEDGE)
$pincodei=GUICtrlCreateInput($pin,255, 265, 110, 17, -1, $WS_EX_STATICEDGE)
$bankacci=GUICtrlCreateInput($baccount,10, 305, 235, 17, -1, $WS_EX_STATICEDGE)
$paypali=GUICtrlCreateInput($paypal,255, 305, 110, 17, -1, $WS_EX_STATICEDGE)

;$passprotect= GUICtrlCreateCheckbox("password protection", 10, 375, 120, 20)
;$passprotnew = GUICtrlCreateLabel("password:", 10, 395, 50, 15)
;$passprotnewi=GUICtrlCreateInput("",60, 395, 75, 15,$ES_PASSWORD, $WS_EX_STATICEDGE)
;$passconfirm = GUICtrlCreateLabel("confirmpw", 10, 415, 50, 15)
;$passconfirmi=GUICtrlCreateInput("",60, 415, 75, 15, $ES_PASSWORD,$WS_EX_STATICEDGE)

$passprotect = GUICtrlCreateButton("manage password",10,335,110, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
$resetbutton = GUICtrlCreateButton("reset values",135,335,110, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
$setbutton = GUICtrlCreateButton("set values",255,335,110, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
;$Label7 = GUICtrlCreateLabel("blahblahk", 44, 384, 361, 15)
$cancbutton = GUICtrlCreateButton("exit",255,360,110, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
;$Label6 = GUICtrlCreateLabel("idle", 46, 326, 161, 15)
;$deco1 = GUICtrlCreateLabel("",5, 1, 315, 74,$SS_ETCHEDFRAME)



GUISetState()
winsetontop("AutoFill Manager", "", 1)


While 1
$msg = GUIGetMsg()

select

Case $msg = $setbutton
$settitle=GUICtrlRead($titlei)
$setfirstname=GUICtrlRead($firstnamei)
$setsurname=GUICtrlRead($surnamei)
$setusername=GUICtrlRead($usernamei)
$setemail=GUICtrlRead($emaili)
$setpword=GUICtrlRead($passwordi)
$setaddress=GUICtrlRead($addressi)
$setcity=GUICtrlRead($cityi)
$setstate=GUICtrlRead($statei)
$setcountry=GUICtrlRead($countryi)
$setpcode=GUICtrlRead($pcodei)
$settelephone=GUICtrlRead($telephonei)
$setmobile=GUICtrlRead($mobilei)
$setfax=GUICtrlRead($faxi)
$setworkphone=GUICtrlRead($workphonei)
$setprofession=GUICtrlRead($professioni)
$setcompany=GUICtrlRead($companyi)
$setcredit=GUICtrlRead($creditcardi)
$setpincode=GUICtrlRead($pincodei)
$setbankacc=GUICtrlRead($bankacci)
$setpaypal=GUICtrlRead($paypali)

$setfullname=($setfirstname & " " & $setsurname)

;msgbox(0, $setfullname, $setfullname)


;WRITEJS1


guidelete()
_FileWriteToLine($autofilljs1, 3, "{if (!inp.value) {inp.value = '" & $setpword &"';}}", 1)
_FileWriteToLine($autofilljs1, 6, "{inp.value = '" & $setusername &"';}", 1)
_FileWriteToLine($autofilljs1, 8, "{inp.value = '" & $settitle &"';}", 1)
_FileWriteToLine($autofilljs1, 10, "{inp.value = '" & $settitle &"';}", 1)
_FileWriteToLine($autofilljs1, 12, "{inp.value = '" & $settitle &"';}", 1)
_FileWriteToLine($autofilljs1, 14, "{inp.value = '" & $setfirstname &"';}", 1)
_FileWriteToLine($autofilljs1, 16, "{inp.value = '" & $setfirstname &"';}", 1)
_FileWriteToLine($autofilljs1, 18, "{inp.value = '" & $setfirstname &"';}", 1)
_FileWriteToLine($autofilljs1, 20, "{inp.value = '" & $setsurname &"';}", 1)
_FileWriteToLine($autofilljs1, 22, "{inp.value = '" & $setsurname &"';}", 1)
_FileWriteToLine($autofilljs1, 24, "{inp.value = '" & $setsurname &"';}", 1)
_FileWriteToLine($autofilljs1, 26, "{inp.value = '" & $setsurname &"';}", 1)
_FileWriteToLine($autofilljs1, 28, "{inp.value = '" & $setsurname &"';}", 1)
_FileWriteToLine($autofilljs1, 30, "{inp.value = '" & $setsurname &"';}", 1)
_FileWriteToLine($autofilljs1, 32, "{inp.value = '" & $setsurname &"';}", 1)
_FileWriteToLine($autofilljs1, 34, "{inp.value = '" & $setsurname &"';}", 1)
_FileWriteToLine($autofilljs1, 36, "{inp.value = '" & $setsurname &"';}", 1)
_FileWriteToLine($autofilljs1, 38, "{inp.value = '" & $setsurname &"';}", 1)
_FileWriteToLine($autofilljs1, 40, "{inp.value = '" & $setsurname &"';}", 1)
_FileWriteToLine($autofilljs1, 42, "{inp.value = '" & $setfullname &"';}", 1)
_FileWriteToLine($autofilljs1, 44, "{inp.value = '" & $setfullname &"';}", 1)
_FileWriteToLine($autofilljs1, 46, "{inp.value = '" & $setfullname &"';}", 1)
_FileWriteToLine($autofilljs1, 48, "{inp.value = '" & $setemail &"';}", 1)
_FileWriteToLine($autofilljs1, 50, "{inp.value = '" & $setemail &"';}", 1)
_FileWriteToLine($autofilljs1, 52, "{inp.value = '" & $setemail &"';}", 1)
_FileWriteToLine($autofilljs1, 54, "{inp.value = '" & $setemail &"';}", 1)
_FileWriteToLine($autofilljs1, 56, "{inp.value = '" & $setemail &"';}", 1)
_FileWriteToLine($autofilljs1, 58, "{inp.value = '" & $setpword &"';}", 1)
_FileWriteToLine($autofilljs1, 60, "{inp.value = '" & $setpword &"';}", 1)
_FileWriteToLine($autofilljs1, 62, "{inp.value = '" & $setpword &"';}", 1)
_FileWriteToLine($autofilljs1, 64, "{inp.value = '" & $setpword &"';}", 1)
_FileWriteToLine($autofilljs1, 66, "{inp.value = '" & $setpword &"';}", 1)
_FileWriteToLine($autofilljs1, 68, "{inp.value = '" & $setaddress &"';}", 1)
_FileWriteToLine($autofilljs1, 70, "{inp.value = '" & $setaddress &"';}", 1)
_FileWriteToLine($autofilljs1, 72, "{inp.value = '" & $setaddress &"';}", 1)
_FileWriteToLine($autofilljs1, 74, "{inp.value = '" & $setaddress &"';}", 1)
_FileWriteToLine($autofilljs1, 76, "{inp.value = '" & $setaddress &"';}", 1)
_FileWriteToLine($autofilljs1, 78, "{inp.value = '" & $setaddress &"';}", 1)
_FileWriteToLine($autofilljs1, 80, "{inp.value = '" & $setaddress &"';}", 1)
_FileWriteToLine($autofilljs1, 82, "{inp.value = '" & $setaddress &"';}", 1)
_FileWriteToLine($autofilljs1, 84, "{inp.value = '" & $setaddress &"';}", 1)
_FileWriteToLine($autofilljs1, 86, "{inp.value = '" & $setaddress &"';}", 1)
_FileWriteToLine($autofilljs1, 88, "{inp.value = '" & $setcity &"';}", 1)
_FileWriteToLine($autofilljs1, 90, "{inp.value = '" & $setcity &"';}", 1)
_FileWriteToLine($autofilljs1, 92, "{inp.value = '" & $setcity &"';}", 1)
_FileWriteToLine($autofilljs1, 94, "{inp.value = '" & $setcity &"';}", 1)
_FileWriteToLine($autofilljs1, 96, "{inp.value = '" & $setcity &"';}", 1)
_FileWriteToLine($autofilljs1, 98, "{inp.value = '" & $setcity &"';}", 1)
_FileWriteToLine($autofilljs1, 100, "{inp.value = '" & $setstate &"';}", 1)
_FileWriteToLine($autofilljs1, 102, "{inp.value = '" & $setstate &"';}", 1)
_FileWriteToLine($autofilljs1, 104, "{inp.value = '" & $setstate &"';}", 1)
_FileWriteToLine($autofilljs1, 106, "{inp.value = '" & $setstate &"';}", 1)
_FileWriteToLine($autofilljs1, 108, "{inp.value = '" & $setstate &"';}", 1)
_FileWriteToLine($autofilljs1, 110, "{inp.value = '" & $setstate &"';}", 1)
_FileWriteToLine($autofilljs1, 112, "{inp.value = '" & $setstate &"';}", 1)
_FileWriteToLine($autofilljs1, 114, "{inp.value = '" & $setstate &"';}", 1)
_FileWriteToLine($autofilljs1, 116, "{inp.value = '" & $setstate &"';}", 1)
_FileWriteToLine($autofilljs1, 118, "{inp.value = '" & $setcountry &"';}", 1)
_FileWriteToLine($autofilljs1, 120, "{inp.value = '" & $setcountry &"';}", 1)
_FileWriteToLine($autofilljs1, 122, "{inp.value = '" & $setcountry &"';}", 1)
_FileWriteToLine($autofilljs1, 124, "{inp.value = '" & $setpcode &"';}", 1)
_FileWriteToLine($autofilljs1, 126, "{inp.value = '" & $setpcode &"';}", 1)
_FileWriteToLine($autofilljs1, 128, "{inp.value = '" & $setpcode &"';}", 1)
_FileWriteToLine($autofilljs1, 130, "{inp.value = '" & $setpcode &"';}", 1)
_FileWriteToLine($autofilljs1, 132, "{inp.value = '" & $setpcode &"';}", 1)
_FileWriteToLine($autofilljs1, 134, "{inp.value = '" & $setpcode &"';}", 1)
_FileWriteToLine($autofilljs1, 136, "{inp.value = '" & $settelephone &"';}", 1)
_FileWriteToLine($autofilljs1, 138, "{inp.value = '" & $settelephone &"';}", 1)
_FileWriteToLine($autofilljs1, 140, "{inp.value = '" & $settelephone &"';}", 1)
_FileWriteToLine($autofilljs1, 142, "{inp.value = '" & $setmobile &"';}", 1)
_FileWriteToLine($autofilljs1, 144, "{inp.value = '" & $setmobile &"';}", 1)
_FileWriteToLine($autofilljs1, 146, "{inp.value = '" & $setmobile &"';}", 1)
_FileWriteToLine($autofilljs1, 148, "{inp.value = '" & $setmobile &"';}", 1)
_FileWriteToLine($autofilljs1, 150, "{inp.value = '" & $setmobile &"';}", 1)
_FileWriteToLine($autofilljs1, 152, "{inp.value = '" & $setmobile &"';}", 1)
_FileWriteToLine($autofilljs1, 154, "{inp.value = '" & $setworkphone &"';}", 1)
_FileWriteToLine($autofilljs1, 156, "{inp.value = '" & $setworkphone &"';}", 1)
_FileWriteToLine($autofilljs1, 158, "{inp.value = '" & $setworkphone &"';}", 1)
_FileWriteToLine($autofilljs1, 160, "{inp.value = '" & $setfax &"';}", 1)
_FileWriteToLine($autofilljs1, 162, "{inp.value = '" & $setfax &"';}", 1)
_FileWriteToLine($autofilljs1, 164, "{inp.value = '" & $setfax &"';}", 1)
_FileWriteToLine($autofilljs1, 166, "{inp.value = '" & $settelephone &"';}", 1)
_FileWriteToLine($autofilljs1, 168, "{inp.value = '" & $settelephone &"';}", 1)
_FileWriteToLine($autofilljs1, 170, "{inp.value = '" & $settelephone &"';}", 1)
_FileWriteToLine($autofilljs1, 172, "{inp.value = '" & $settelephone &"';}", 1)
_FileWriteToLine($autofilljs1, 174, "{inp.value = '" & $settelephone &"';}", 1)
_FileWriteToLine($autofilljs1, 176, "{inp.value = '" & $settelephone &"';}", 1)
_FileWriteToLine($autofilljs1, 178, "{inp.value = '" & $setprofession &"';}", 1)
_FileWriteToLine($autofilljs1, 180, "{inp.value = '" & $setprofession &"';}", 1)
_FileWriteToLine($autofilljs1, 182, "{inp.value = '" & $setprofession &"';}", 1)
_FileWriteToLine($autofilljs1, 184, "{inp.value = '" & $setprofession &"';}", 1)
_FileWriteToLine($autofilljs1, 186, "{inp.value = '" & $setprofession &"';}", 1)
_FileWriteToLine($autofilljs1, 188, "{inp.value = '" & $setprofession &"';}", 1)
_FileWriteToLine($autofilljs1, 190, "{inp.value = '" & $setcompany &"';}", 1)
_FileWriteToLine($autofilljs1, 192, "{inp.value = '" & $setcompany &"';}", 1)
_FileWriteToLine($autofilljs1, 194, "{inp.value = '" & $setcompany &"';}", 1)
_FileWriteToLine($autofilljs1, 196, "{inp.value = '" & $setcompany &"';}", 1)
_FileWriteToLine($autofilljs1, 198, "{inp.value = '" & $setcompany &"';}", 1)
_FileWriteToLine($autofilljs1, 200, "{inp.value = '" & $setcompany &"';}", 1)
_FileWriteToLine($autofilljs1, 202, "{inp.value = '" & $setcredit &"';}", 1)
_FileWriteToLine($autofilljs1, 204, "{inp.value = '" & $setcredit &"';}", 1)
_FileWriteToLine($autofilljs1, 206, "{inp.value = '" & $setcredit &"';}", 1)
_FileWriteToLine($autofilljs1, 208, "{inp.value = '" & $setcredit &"';}", 1)
_FileWriteToLine($autofilljs1, 210, "{inp.value = '" & $setcredit &"';}", 1)
_FileWriteToLine($autofilljs1, 212, "{inp.value = '" & $setcredit &"';}", 1)
_FileWriteToLine($autofilljs1, 214, "{inp.value = '" & $setpincode &"';}", 1)
_FileWriteToLine($autofilljs1, 216, "{inp.value = '" & $setpincode &"';}", 1)
_FileWriteToLine($autofilljs1, 218, "{inp.value = '" & $setpincode &"';}", 1)
_FileWriteToLine($autofilljs1, 220, "{inp.value = '" & $setpincode &"';}", 1)
_FileWriteToLine($autofilljs1, 222, "{inp.value = '" & $setpincode &"';}", 1)
_FileWriteToLine($autofilljs1, 224, "{inp.value = '" & $setpincode &"';}", 1)
_FileWriteToLine($autofilljs1, 226, "{inp.value = '" & $setpincode &"';}", 1)
_FileWriteToLine($autofilljs1, 228, "{inp.value = '" & $setpincode &"';}", 1)
_FileWriteToLine($autofilljs1, 230, "{inp.value = '" & $setpincode &"';}", 1)
_FileWriteToLine($autofilljs1, 232, "{inp.value = '" & $setpincode &"';}", 1)
_FileWriteToLine($autofilljs1, 234, "{inp.value = '" & $setpincode &"';}", 1)
_FileWriteToLine($autofilljs1, 236, "{inp.value = '" & $setpincode &"';}", 1)
_FileWriteToLine($autofilljs1, 238, "{inp.value = '" & $setpincode &"';}", 1)
_FileWriteToLine($autofilljs1, 240, "{inp.value = '" & $setpincode &"';}", 1)
_FileWriteToLine($autofilljs1, 242, "{inp.value = '" & $setcredit &"';}", 1)
_FileWriteToLine($autofilljs1, 244, "{inp.value = '" & $setcredit &"';}", 1)
_FileWriteToLine($autofilljs1, 246, "{inp.value = '" & $setbankacc &"';}", 1)
_FileWriteToLine($autofilljs1, 248, "{inp.value = '" & $setbankacc &"';}", 1)
_FileWriteToLine($autofilljs1, 250, "{inp.value = '" & $setbankacc &"';}", 1)
_FileWriteToLine($autofilljs1, 252, "{inp.value = '" & $setpaypal &"';}", 1)
_FileWriteToLine($autofilljs1, 254, "{inp.value = '" & $setpaypal &"';}", 1)
_FileWriteToLine($autofilljs1, 256, "{inp.value = '" & $setpaypal &"';}", 1)
_FileWriteToLine($autofilljs1, 258, "{inp.value = '" & $setpaypal &"';}", 1)
_FileWriteToLine($autofilljs1, 260, "{inp.value = '" & $setbankacc &"';}", 1)
_FileWriteToLine($autofilljs1, 262, "{inp.value = '" & $setbankacc &"';}", 1)
_FileWriteToLine($autofilljs1, 264, "{inp.value = '" & $setbankacc &"';}", 1)
_FileWriteToLine($autofilljs1, 266, "{inp.value = '" & $setusername &"';}", 1)
_FileWriteToLine($autofilljs1, 268, "{inp.value = '" & $setusername &"';}", 1)
_FileWriteToLine($autofilljs1, 270, "{inp.value = '" & $setusername &"';}", 1)
_FileWriteToLine($autofilljs1, 272, "{inp.value = '" & $setfullname &"';}", 1)
_FileWriteToLine($autofilljs1, 274, "{inp.value = '" & $setfullname &"';}", 1)
_FileWriteToLine($autofilljs1, 276, "{inp.value = '" & $setfullname &"';}", 1)

;ENDOFWRITEJS
exit

Case $msg = $resetbutton
GUICtrlsetdata($titlei, "")
GUICtrlsetdata($firstnamei, "")
GUICtrlsetdata($surnamei, "")
GUICtrlsetdata($usernamei, "")
GUICtrlsetdata($emaili, "")
GUICtrlsetdata($passwordi, "")
GUICtrlsetdata($addressi, "")
GUICtrlsetdata($cityi, "")
GUICtrlsetdata($statei, "")
GUICtrlsetdata($countryi, "")
GUICtrlsetdata($pcodei, "")
GUICtrlsetdata($telephonei, "")
GUICtrlsetdata($mobilei, "")
GUICtrlsetdata($faxi, "")
GUICtrlsetdata($workphonei, "")
GUICtrlsetdata($professioni, "")
GUICtrlsetdata($companyi, "")
GUICtrlsetdata($creditcardi, "")
GUICtrlsetdata($pincodei, "")
GUICtrlsetdata($bankacci, "")
GUICtrlsetdata($paypali, "")

Case $msg = $passprotect
createpass()

Case $msg = $cancbutton
exit

Case $msg = $GUI_EVENT_CLOSE
exit
endselect
WEnd
endfunc




func createpass()
$newpass=GUICreate("Autofiller password manager",240,150, -1 , -1, $WS_POPUPWINDOW, $WS_EX_DLGMODALFRAME)
$dialabel1 = GUICtrlCreateLabel("Autofiller password manager", 10,5, 260, 15)
$dialabel2 = GUICtrlCreateLabel("new password:", 10,28, 80, 15)
$dialabel3 = GUICtrlCreateLabel("   confirmation:", 10,50, 80, 15)
$infotip = GUICtrlCreateLabel("the password must be at least 6 characters and not contain spaces", 10,80, 100, 85)
$newpass=GUICtrlCreateInput("", 90, 25, 140, 17,$ES_PASSWORD, $WS_EX_STATICEDGE)
$confirmpass=GUICtrlCreateInput("", 90, 48, 140, 17,$ES_PASSWORD, $WS_EX_STATICEDGE)
$rempass = GUICtrlCreateButton("remove pass",120,70,110, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
$setpass = GUICtrlCreateButton("set password",120,95,110, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
$cancbutton = GUICtrlCreateButton("cancel",120,120,110, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
GUISetState()
WinSetState ( "AutoFill Manager", "", @SW_DISABLE )
winsetontop("Autofiller password manager", "", 1)
While 1
$msg = GUIGetMsg()
select
Case $msg = $rempass
IniWrite($pwaff, "pw", "1", "nopass" )
guidelete()
sleep(88)
WinSetState ( "AutoFill Manager", "", @SW_enable)
Winactivate( "AutoFill Manager", "")
return
Case $msg = $setpass
$getnewpw=GUICtrlRead($newpass)
$comparepw=GUICtrlRead($confirmpass)
if StringIsSpace($getnewpw)=1 or StringLen($getnewpw)<6 then
GUICtrlSetData ( $infotip, "the password you have entered is invalid")
else
if $getnewpw<>$comparepw then
GUICtrlSetData ( $infotip, "your confirmation does not match the password")
else
GUICtrlSetData ( $infotip, "bravo! your new password has been saved")
IniWrite($pwaff, "pw", "1", $getnewpw)
guidelete()
sleep(88)
WinSetState ( "AutoFill Manager", "", @SW_enable)
Winactivate( "AutoFill Manager", "")
Return
endif
endif
Case $msg = $cancbutton
guidelete()
sleep(88)
WinSetState ( "AutoFill Manager", "", @SW_enable)
Return
Case $msg = $GUI_EVENT_CLOSE
guidelete()
sleep(88)
WinSetState ( "AutoFill Manager", "", @SW_enable)
Winactivate( "AutoFill Manager", "")
Return
endselect
WEnd
endfunc